.p-search-header {
	padding: 60px 0 0;
	margin-bottom: 40px;
	position: relative;

	& input {
		border: 0;
		box-shadow: none;
		appearance: none;
		outline: 0;
		display: block;
		size: 100% 85px;
		padding: 0 calc(35px + 85px) 0 35px;
		text: #1c1c1c 45px 45px;
		background-color: #f7f7f7;
	}

	& button {
		size: 85px;
		display: block;
		position: absolute 60px 0 * *;

		& svg {
			size: 22px;
			fill: #1c1c1c;
			position: absolute 50% * * 50%;
			transform: translate(-50%, -50%);
			transition: fill .3s ease 0s;
		}

		@media (--mobile) {
			size: 60px;
			top: 25px;
			right: 20px;
		}
	}

	& button:hover svg {
		fill: #2893e0;
	}

	@media (--mobile) {
		padding: 25px 20px 0;
		margin-bottom: 0;

		& input {
			height: 60px;
			padding: 0 calc(10px + 60px) 0 10px;
			text: 20px 20px;
		}
	}
}
